import request from '@/utils/request'

// 查询商品分类信息列表
export function listCommodityType(query) {
  return request({
    url: '/commodityType/commodityType/list',
    method: 'get',
    params: query
  })
}

// 查询商品分类信息详细
export function getCommodityType(id) {
  return request({
    url: '/commodityType/commodityType/' + id,
    method: 'get'
  })
}

// 新增商品分类信息
export function addCommodityType(data) {
  return request({
    url: '/commodityType/commodityType',
    method: 'post',
    data: data
  })
}

// 修改商品分类信息
export function updateCommodityType(data) {
  return request({
    url: '/commodityType/commodityType',
    method: 'put',
    data: data
  })
}

// 删除商品分类信息
export function delCommodityType(id) {
  return request({
    url: '/commodityType/commodityType/' + id,
    method: 'delete'
  })
}
